Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDENCOUNTERvalues

java.lang.Object
java.lang.Enum<CDENCOUNTERvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDENCOUNTERvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDENCOUNTERvalues>`, `java.lang.constant.Constable`

public enum CDENCOUNTERvalues extends Enum<CDENCOUNTERvalues>

Java class for CD-ENCOUNTERvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ENCOUNTERvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="homevisit"/>
         <enumeration value="consultation"/>
         <enumeration value="telephonicconsultation"/>
         <enumeration value="emergency"/>
         <enumeration value="hospital"/>
         <enumeration value="oneday"/>
         <enumeration value="technical"/>
         <enumeration value="resthomevisit"/>
         <enumeration value="consult"/>
         <enumeration value="multidisciplinaryconsult"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSULT`
  `CONSULTATION`
  `EMERGENCY`
  `HOMEVISIT`
  `HOSPITAL`
  `MULTIDISCIPLINARYCONSULT`
  `ONEDAY`
  `RESTHOMEVISIT`
  `TECHNICAL`
  `TELEPHONICCONSULTATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDENCOUNTERvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDENCOUNTERvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDENCOUNTERvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOMEVISIT

    public static final CDENCOUNTERvalues HOMEVISIT

  - ### CONSULTATION

    public static final CDENCOUNTERvalues CONSULTATION

  - ### TELEPHONICCONSULTATION

    public static final CDENCOUNTERvalues TELEPHONICCONSULTATION

  - ### EMERGENCY

    public static final CDENCOUNTERvalues EMERGENCY

  - ### HOSPITAL

    public static final CDENCOUNTERvalues HOSPITAL

  - ### ONEDAY

    public static final CDENCOUNTERvalues ONEDAY

  - ### TECHNICAL

    public static final CDENCOUNTERvalues TECHNICAL

  - ### RESTHOMEVISIT

    public static final CDENCOUNTERvalues RESTHOMEVISIT

  - ### CONSULT

    public static final CDENCOUNTERvalues CONSULT

  - ### MULTIDISCIPLINARYCONSULT

    public static final CDENCOUNTERvalues MULTIDISCIPLINARYCONSULT

- ## Method Details

  - ### values

    public static CDENCOUNTERvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDENCOUNTERvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDENCOUNTERvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.